package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class JenisPengadaanRequest extends BaseRequest {

    private Long id;
    private String jenisPengadaan;
    private String keterangan;
    private Boolean isActive;
    private String search;
    private transient Pageable pageable;
}
